This is the mail archive of the mauve-patches@sourceware.org mailing list for the Mauve project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[builder] FYI: Add Mauve testing with Kaffe


This adds a script to run Mauve with the Kaffe build.

ChangeLog:

2008-02-16 Andrew John Hughes <gnu_andrew@member.fsf.org>

	* Check: Add MauveKaffe.
	* MauveKaffe: New Mauve script for Kaffe.
	* Settings: Add function for Kaffe's path.

-- 
Andrew :)

Support Free Java!
Contribute to GNU Classpath and the OpenJDK
http://www.gnu.org/software/classpath
http://openjdk.java.net
Index: Check
===================================================================
RCS file: /cvs/mauve/builder/scripts/Check,v
retrieving revision 1.6
diff -u -3 -p -u -r1.6 Check
--- Check	16 Feb 2008 11:30:47 -0000	1.6
+++ Check	16 Feb 2008 12:51:40 -0000
@@ -37,6 +37,9 @@ MauveCacao
 # Run Mauve on gij.
 MauveGij
 
+# Run Mauve on kaffe
+MauveKaffe
+
 # Run mauve to generate EMMA reports
 #MauveEMMA
 
Index: MauveKaffe
===================================================================
RCS file: MauveKaffe
diff -N MauveKaffe
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ MauveKaffe	16 Feb 2008 12:51:40 -0000
@@ -0,0 +1,34 @@
+#! /bin/sh
+
+. $(dirname "$0")/Settings
+
+Status "running mauve on kaffe/ecj"
+
+add_kaffe_path
+JAVA=kaffe
+export JAVA
+JAVAC="ecj -bootclasspath /home/cpdev/Nightly/classpath/install/share/classpath/glibj.zip"
+export JAVAC
+
+cd $TOP/mauve
+
+echo === Running Mauve
+
+rm -rf build
+mkdir build
+cd build
+
+# We make a copy because invoking the Harness only works in the source tree.
+cp -a ../mauve .
+cd mauve
+
+(
+exec > Log.Std 2>&1
+#./configure --with-ecj-jar=/home/cpdev/Nightly/ &&
+./configure --with-ecj-jar=/usr/share/java/ecj.jar --with-vm=kaffe &&
+make &&
+xvfb-run kaffe Harness gnu.testlet -vm kaffe -showpasses -timeout 120000
+)
+
+# Report "mauve -vs- kaffe" $? Log.Std
+Regressions "mauve-kaffe" $(pwd)/Log.Std
Index: Settings
===================================================================
RCS file: /cvs/mauve/builder/scripts/Settings,v
retrieving revision 1.4
diff -u -3 -p -u -r1.4 Settings
--- Settings	16 Feb 2008 11:30:47 -0000	1.4
+++ Settings	16 Feb 2008 12:51:40 -0000
@@ -41,6 +41,12 @@ add_jamvm_release_path()
    PATH=$TOP/classpath-release/jikes-install/bin:$PATH
 }
 
+# Add kaffe to path.
+add_kaffe_path()
+{
+   PATH=$TOP/kaffe/install/bin:$PATH
+}
+
 # Where messages are sent from (can be a fake address).
 REPORTFROM=cpdev@builder.classpath.org
 # Where messages are sent (comma separated).

Attachment: signature.asc
Description: Digital signature


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]